import React from "react";
import { MatrixEvent, Relations } from "matrix-js-sdk/src/matrix";
import RoomContext from "../../../contexts/RoomContext";
interface IProps {
    mxEvent: MatrixEvent;
    reactions?: Relations | null | undefined;
    onFinished(): void;
}
interface IState {
    selectedEmojis: Set<string>;
}
declare class ReactionPicker extends React.Component<IProps, IState> {
    static contextType: React.Context<import("../../structures/RoomView").IRoomState & {
        threadId?: string;
    }>;
    context: React.ContextType<typeof RoomContext>;
    constructor(props: IProps, context: React.ContextType<typeof RoomContext>);
    componentDidUpdate(prevProps: IProps): void;
    private addListeners;
    componentWillUnmount(): void;
    private getReactions;
    private onReactionsChange;
    private onChoose;
    private isEmojiDisabled;
    render(): React.ReactNode;
}
export default ReactionPicker;
